%{?nodejs_find_provides_and_requires}

%global packagename parallel-transform
%global enable_tests 1

Name:		nodejs-parallel-transform
Version:	1.1.0
Release:	3%{?dist}
Summary:	Transform stream that allows you to run your transforms in parallel

License:	MIT
URL:		https://github.com/mafintosh/parallel-transform
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(cyclist)
BuildRequires:	npm(inherits)
BuildRequires:	npm(readable-stream)
%if 0%{?enable_tests}
#BuildRequires:	
%endif

%description
Transform stream that allows you to run your transforms in parallel without
changing the order.


%prep
%autosetup -n package

%nodejs_fixdep cyclist '^1.0.0'

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/echo -e "\e[103m -=#=- This package has no tests -=#=- \e[0m"
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sun Sep 24 2017 Jared Smith <jsmith@fedoraproject.org> - 1.1.0-1
- Initial packaging
